{ config, pkgs, ... }:

with pkgs.lib;

let
  cfg = config.r6d.config-generator;
in {
  # Enable CUPS to print documents.
  services.printing = mkIf cfg.print {
    enable = true;
    drivers = [
      pkgs.samsung-unified-linux-driver
    ];
  };
}
