{ config, pkgs, ... }:

with pkgs.lib;

let
  cfg = config.r6d.config-generator;
in {
  # Gestion du swap
  
  # https://en.wikipedia.org/wiki/Swappiness
  boot.kernel.sysctl = mkIf cfg.swap {
    # le swap est activé (!= 0)
    # le swap est utilisé lorsque (100 - x) % de la mémoire est déja allouée
    "vm.swappiness" = 10;
  };
}
