{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  environment.systemPackages = with pkgs; [
    # Gestion de données géographiques
    josm          # outil de contribution à OpenStreetMap
    viking        # analyse de topo, gestion de données GPS
  ];
}
