{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Navigateur & Réseaux sociaux
    chromium
    firefox
    python27Packages.turses # client twitter en ncurse

    ## Mail & Discussion (texte, audio)
    clawsMail
    kde5.quasselClient
    mumble
    mutt
    pidgin
    thunderbird

    # Transfert de fichier
    filezilla
    transmission_gtk
    transmission_remote_gtk
  ];
}
